%define oname		mp3splt
%define major		0
%define libname		%mklibname %{oname} %{major}
%define develname	%mklibname -d %{oname}

Name:		libmp3splt
Version:	0.9.2
Release:	%mkrel 2
Summary:	Library to split MP3 and Ogg Files
Source0:	http://downloads.sourceforge.net/mp3splt/%{name}-%{version}.tar.gz
#Patch1:		libmp3splt-0.7.3-remove-unneeded-ltdl.h-includes.patch
URL:		http://mp3splt.sourceforge.net
Group:		System/Libraries
License:	GPLv2+
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	mad-devel
BuildRequires:	libid3tag-devel
BuildRequires:	zlib-devel
BuildRequires:	glibc-devel
BuildRequires:	libltdl-devel
BuildRequires:	pcre-devel
BuildRequires:	libflac-devel

%description
The mp3Splt project provides utilities to split mp3 and ogg files,
by selecting a begin and an end time position, without decoding.
It is very useful to split large mp3/ogg into smaller files,
or to split entire albums to obtain original tracks.
To split an album, the split points and filenames can be selected
manually or automatically from CDDB (internet or a local file),
or from .cue files.

It supports automatic silence detection, which can be used
to adjust cddb/cue split points. It is also possible to extract
tracks from Mp3Wrap or AlbumWrap files in a few seconds.

The mp3splt project is divided in 3 parts:
libmp3splt, mp3splt and mp3splt-gtk.

%package -n %{libname}
Summary:	Library to split MP3 and Ogg Files
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}-%{release}

%description -n %{libname}
Library to split mp3 and ogg files selecting a begin and an end time position,
without decoding. It's very useful to split large mp3/ogg to make smaller
files or to split entire albums to obtain original tracks.

%package -n %{name}-i18n
Summary:	Internationalization and locale data for %{name}
Group:		System/Internationalization
BuildArch:	noarch
Conflicts:	%{_lib}mp3splt0 < 0.7.3-2

%description -n %{name}-i18n
Internationalization and locale data for %{name}

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for the mp3splt project.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-optimise \
	--disable-rpath \
	--disable-static \
	--disable-doxygen_doc
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}0

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README TODO
%{_libdir}/%{name}.so.%{major}{,.*}
%dir %{_libdir}/%{name}0
%{_libdir}/%{name}0/libsplt_*.so.%{major}{,.*}

%files -n %{name}-i18n -f %{name}0.lang

%files -n %{develname}
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so
%{_libdir}/%{name}0/libsplt_*.so


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 0.9.2-2.mga6
+ Revision: 955600
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 wally <wally> 0.9.2-1.mga6
+ Revision: 868235
- new version 0.9.2

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-4.mga5
+ Revision: 749343
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.1-3.mga5
+ Revision: 726764
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-2.mga5
+ Revision: 681613
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 wally <wally> 0.9.1-1.mga5
+ Revision: 634348
- new version 0.9.1
- drop upstream applied str fmt patch

* Sat Oct 19 2013 umeabot <umeabot> 0.9.0-2.mga4
+ Revision: 530482
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 wally <wally> 0.9.0-1.mga4
+ Revision: 457779
- new version 0.9.0
- enable experimental FLAC support
- use our optimise flag

* Thu May 23 2013 wally <wally> 0.8.2-1.mga4
+ Revision: 425339
- new version 0.8.2
- rediff str fmt patch

* Sat Apr 20 2013 wally <wally> 0.7.3-6.mga3
+ Revision: 410633
- disable 'remove unneeded ltdl.h includes' patch for now as it seems to cause a segfault on x86_64 (mga#9726)

* Sat Jan 12 2013 umeabot <umeabot> 0.7.3-5.mga3
+ Revision: 357793
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.7.3-4.mga3
+ Revision: 323644
- rebuild for new pcre

* Sun Sep 09 2012 wally <wally> 0.7.3-3.mga3
+ Revision: 291164
- rebuild due to a missing i586 pkg

* Sun Sep 02 2012 wally <wally> 0.7.3-2.mga3
+ Revision: 287367
- add a patch to remove unneeded includes (originally from ALT Linux)
- split out i18n files
- clean .spec a bit

* Sun Sep 02 2012 wally <wally> 0.7.3-1.mga3
+ Revision: 287354
- new version 0.7.3

* Mon Jun 04 2012 wally <wally> 0.7.2-1.mga3
+ Revision: 254362
- new versioon 0.7.2

* Wed Nov 16 2011 wally <wally> 0.7.1-1.mga2
+ Revision: 168281
- new version 0.7.1

* Fri Oct 14 2011 wally <wally> 0.7.0.934-1.mga2
+ Revision: 155213
- new snapshot

* Fri Oct 07 2011 wally <wally> 0.7.0.932-1.mga2
+ Revision: 152859
- new snapshot 0.7.0.932
- disable doc build
- new version 0.7
- rediff P0
- imported package libmp3splt


* Sun Mar 06 2011 Jani Välimaa <wally@mandriva.org> 0.6.1a-1mdv2011.0
+ Revision: 642232
- new version 0.6.1a

* Thu Mar 03 2011 Jani Välimaa <wally@mandriva.org> 0.6.1-1
+ Revision: 641489
- add pcre-devel BR
- new version 0.6.1
- rediff P0

* Fri Oct 01 2010 Jani Välimaa <wally@mandriva.org> 0.6-2mdv2011.0
+ Revision: 582287
- new version 0.6
- add str fmt patch
- fix file list

* Fri Aug 27 2010 Jani Välimaa <wally@mandriva.org> 0.5.9-2mdv2011.0
+ Revision: 573588
- fix provides

* Fri Aug 27 2010 Jani Välimaa <wally@mandriva.org> 0.5.9-1mdv2011.0
+ Revision: 573491
- import libmp3splt

